Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.jdbc.kernel
Class AbstractJDBCSavepointManager

    java.lang.Object
      org.apache.openjpa.jdbc.kernel.AbstractJDBCSavepointManager

All Implemented Interfaces:
  SavepointManager, Configurable

Direct Known Subclasses:
  JDBC3SavepointManager

    public abstract class AbstractJDBCSavepointManager

extends Object
implements SavepointManager, Configurable

Abstract `SavepointManager` implementation that delegates to the subclass for savepoint operations on the active `Connection`. This implementation issues a flush and relies on the driver/db to restore back to the flushed state.

Since:
  0.3.4
Author:
  Steve Kim

Nested Class Summary
`protected class` | `AbstractJDBCSavepointManager.ConnectionSavepoint` A savepoint which provides access to the current transactional connection.

Constructor Summary
`AbstractJDBCSavepointManager()`

Method Summary
`void` | `endConfiguration()` Invoked upon completion of bean property configuration for this object.
`boolean` | `getRestoreFieldState()` Return whether to retain in-memory copies of field values for restore on rollback.
`OpenJPASavepoint` | `newSavepoint(String name, Broker broker)` Return a new savepoint for the given name, which may be null.
`protected abstract void` | `rollbackDataStore(AbstractJDBCSavepointManager.ConnectionSavepoint savepoint)` Rollback the datastore savepoint.
`void` | `setConfiguration(Configuration conf)` Invoked prior to setting bean properties.
`protected abstract void` | `setDataStore(AbstractJDBCSavepointManager.ConnectionSavepoint savepoint)` Set the datastore savepoint.
`void` | `setRestoreFieldState(boolean restore)` Set whether to retain in-memory copies of field values for restore on rollback.
`void` | `startConfiguration()` Invoked before bean property configuration is begun on this object.
`boolean` | `supportsIncrementalFlush()` Return whether the savepoints generated by this manager can handle incremental flushes to the datastore.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractJDBCSavepointManager

    public AbstractJDBCSavepointManager()

Method Detail

### startConfiguration

    public void startConfiguration()

  Description copied from interface: `Configurable`
  Invoked before bean property configuration is begun on this object.

  Specified by:
    `startConfiguration` in interface `Configurable`

### setConfiguration

    public void setConfiguration(Configuration conf)

  Description copied from interface: `Configurable`
  Invoked prior to setting bean properties.

  Specified by:
    `setConfiguration` in interface `Configurable`

### endConfiguration

    public void endConfiguration()

  Description copied from interface: `Configurable`
  Invoked upon completion of bean property configuration for this object.

  Specified by:
    `endConfiguration` in interface `Configurable`

### getRestoreFieldState

    public boolean getRestoreFieldState()

  Return whether to retain in-memory copies of field values for restore on rollback. Defaults to {@link OpenJPAConfiguration#getRestoreState).

### setRestoreFieldState

    public void setRestoreFieldState(boolean restore)

  Set whether to retain in-memory copies of field values for restore on rollback. Defaults to `OpenJPAConfiguration.getRestoreState()`.

### newSavepoint

    public OpenJPASavepoint newSavepoint(String name,
                                         Broker broker)

  Description copied from interface: `SavepointManager`
  Return a new savepoint for the given name, which may be null.

  Specified by:
    `newSavepoint` in interface `SavepointManager`

### supportsIncrementalFlush

    public boolean supportsIncrementalFlush()

  Description copied from interface: `SavepointManager`
  Return whether the savepoints generated by this manager can handle incremental flushes to the datastore.

  Specified by:
    `supportsIncrementalFlush` in interface `SavepointManager`

### rollbackDataStore

    protected abstract void rollbackDataStore(AbstractJDBCSavepointManager.ConnectionSavepoint savepoint)

  Rollback the datastore savepoint.

### setDataStore

    protected abstract void setDataStore(AbstractJDBCSavepointManager.ConnectionSavepoint savepoint)

  Set the datastore savepoint.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.